## visad
Interface GriddedSetIface

All Superinterfaces:
  Data, SampledSetIface, SetIface, SimpleSetIface, Thing

All Known Subinterfaces:
  Gridded1DSetIface

All Known Implementing Classes:
  Gridded1DSet, GriddedSet

public interface GriddedSetIface
extends SampledSetIface

GriddedSetIface is the interface to a finite set of samples of R^n.

Field Summary

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Method Summary
`int` `getLength(int i)` Returns the number of grid points in a given dimension.
`int[]` `getLengths()` Returns the number of grid points in all dimensions.
`float[][]` `gridToValue(float[][] grid)` Returns the interpolated samples of the set corresponding to an array of grid points with non-integer coordinates.
`float[][]` `valueToGrid(float[][] value)` Returns the non-integer grid coordinates corresponding to an array of points.

Methods inherited from interface visad.SampledSetIface
`getHi, getLow`

Methods inherited from interface visad.SimpleSetIface
`valueToInterp`

Methods inherited from interface visad.SetIface

`cloneButType, cram_missing, doubleToIndex, equals, equalUnitAndCS, getCoordinateSystem, getDimension, getDoubles, getDoubles, getLength, getManifoldDimension, getNeighbors, getNeighbors, getNeighbors, getSamples, getSamples, getSetErrors, getSetUnits, getWedge, indexToDouble, indexToValue, make1DGeometry, make2DGeometry, make3DGeometry, makeIsoLines, makeIsoSurface, makePointGeometry, makeSpatial, merge1DSets, valueToIndex`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Method Detail

### getLength

    public int getLength(int i)

  Returns the number of grid points in a given dimension.

  Parameters:
    `i` - The index of the dimension.
  Returns:
    The number of grid points in dimension `i`.

### getLengths

    public int[] getLengths()

  Returns the number of grid points in all dimensions.

  Returns:
    The number of grid points in all dimensions. Element [i] is the number of grid points in dimension `i`.

### gridToValue

    public float[][] gridToValue(float[][] grid)
                          throws VisADException

  Returns the interpolated samples of the set corresponding to an array of grid points with non-integer coordinates.

  Parameters:
    `grid` - The coordinates of the interpolation grid points for which interpolated sample values are desired. `grid[i][j]` is the i-th grid coordinate of the j-th interpolation point.
  Returns:
    The interpolated samples of the set. Element [i][j] is the i-th coordinate of the j-th interpolation point.
  Throws:
    `VisADException` - VisAD failure.

### valueToGrid

    public float[][] valueToGrid(float[][] value)
                          throws VisADException

  Returns the non-integer grid coordinates corresponding to an array of points.

  Parameters:
    `value` - The array of points for which non-integer grid coordinates are desired. `value[i][j]` is the i-th coordinate of the j-th point.
  Returns:
    The array of grid coordinates corresponding to the points. Element [i][j] is the i-th non-integer grid coordinate of the j-th point.
  Throws:
    `VisADException` - VisAD failure.